# Elektronik-Werkbank

![Harder, better, faster, stronger.](oredict:oc:assembler)

Die Elektronik-Werkbank ist eine fortgeschrittene Maschine welche verwendet werden kann, um komplexere elektronische Geräte wie [Roboter](robot.md), [Drohnen](../item/drone.md) oder [Tablets](../item/tablet.md) zu bauen. Sie benötigen eine große Menge an Energie um Geräte zu montieren, daher wird empfohlen, sie mittels einer [Kondensatorbank (capacitor bank)](capacitor.md) mit Energie zu versorgen.

Um ein Gerät mit Hilfe der Elektronik-Werkbank zu bauen muss ein Basisteil des Geräts eingebaut werden. Für [Roboter](robot.md) ist dies ein [Computergehäuse](case1.md) jeder Stufe, für Tablets hingegen ist es ein [Tabletgehäuse](../tabletCase1.md). So wie es bei jedem OpenComputers-Inventar der Fall ist, können diese Teile in bestimmte Slots eingesetzt werden. Wird der Mauszeiger über einen Slot gehalten, werden die Teile im eigenen Inventar angezeigt, die in diesen Slot passen. Wenn NotEnoughItems geöffnet ist, werden gefilterte OpenComputers-Items die mit dem Slot kompatibel sind ebenfalls markiert. Am wichtigsten ist es, ein Betriebssystem oder einen Weg eines zu installieren zur Verfügung zu stellen (zum Beispiel kann man bei [Robotern](robot.md) ein [Diskettenlaufwerk](diskDrive.md) installieren, um später [Disketten](../item/floppy.md) einzusetzen). Bei den meisten Geräten kann der [EEPROM](../item/eeprom.md) später geändert werden, indem das Gerät mit einem anderen EEPROM in eine Werkbank gelegt wird. Vorhandener EEPROM wird in das Inventar zurückgelegt.

Zu bedenken ist, dass [Roboter](robot.md) einen [Bildschirm (Stufe 1)](screen1.md) benötigen. Um darauf schreiben zu können, wird zudem eine [Tastatur](keyboard.md) benötigt. In [Tablets](../item/tablet.md) ist der Bildschirm bereits im [Tabletgehäuse](../item/tabletCase1.md) vorhanden, aber es ist nötig, eine Tastatur zu installieren, falls der Wunsch besteht auf dem Tablet zu schreiben.

Sobald alles an seinem Platz liegt, wird mit dem Startknopf die Prozedur gestartet. Das Gerät wird montiert und geladen. Es ist wichtig zu bedenken, dass das Gerät *nicht geändert werden kann*, sobald es montiert wurde. Wenn etwas fehlt, muss das Gerät wieder [demontiert](disassembler.md) werden, was das Risiko von Teilverlust innehat.

Eine letzte Sache über Komplexitäten: Die Stufe eines Items legt die Komplexitätspunkte fest, die es benötigt. Stufe 1-Items benötigen einen Komplexitätspunkt, Stufe 2-Items benötigen zwei und Stufe 3-Items benötigen drei Komplexitätspunkte. Ausnahme hierbei bilden die Containerupgrades. Hier ist die Anzahl der benötigten Komplexitätspunkte gleich der Stufe multipliziert mit 2. (Ein Stufe-2-[Upgrade-Container](../item/upgradeContainer1.md) benötigt entsprechend 4 Komplexitätspunkte.)
