# Computer

Computer werden mit einer Vielfalt von unterschiedlichen [Blöcken](../block/index.md) und Komponenten zusammengebaut. Das Mindeste um einen Computer zu bauen ist ein [Gehäuse](../block/case1.md), ein [Bildschirm](../block/screen1.md) und eine [Tastatur](../block/keyboard.md). Das [Gehäuse](../block/case1.md) und der [Bildschirm](../block/screen1.md) sind ein verschiedenen Stufen verfügbar, welche unterschiedliche Funktionen zur Verfügung stellen und komplexere Computersysteme ermöglichen. Um den [Bildschirm](../block/screen1.md) nutzen zu können, muss die [Tastatur](../block/keyboard.md) direkt neben dem [Bildschirm](../block/screen1.md) platziert werden (d.h. entweder auf den Seiten oder direkt vor dem [Bildschirm](../block/screen1.md)). 

Sobald die grundlegende Struktur vorhanden ist, können Komponenten im [Gehäuse](../block/case1.md) platziert werden. Diese Komponenten können [CPUs](../item/cpu1.md), [RAM-Riegel](../item/ram1.md), [Festplatten](../item/hdd1.md), [Grafikkarten](../item/graphicsCard1.md) (welche die Benutzung des [Bildschirms](../block/screen1.md) ermöglichen), [Netzwerkkarten](../item/lanCard.md) (zur Kommunikation zwischen Computernetzwerken) und mehr verwendet werden. Es gibt viele Komponenten, welche eine hohe Flexibilität beim Design von Systemen für unterschiedliche Anwendungszwecke ermöglichen.

Niedrigstufige Computer benötigen auch ein [Diskettenlaufwerk](../block/diskDrive.md), welches eine [Diskette](../item/floppy.md) liest. Eine [OpenOS](openOS.md)-[Diskette](../item/floppy.md) wird zum ersten Starten des Computers benötigt und wird für die Installation des Betriebssystems auf die [Festplatte](../item/hdd1.md) verwendet. Sobald es auf die Festplatte installiert ist, ist die [Diskette](../item/floppy.md) nicht länger nötig. Weitere Software ist auch als Diskette verfügbar (sowie Open Programs Package Manager [OPPM]) und sind in Dungeons (Verliesen) zu finden.

Der letzte Schritt besteht darin, den Computer mit einer Energiequelle zu versorgen. OpenComputers ist mit den meisten größeren Energiemods kompatibel, und viele Blöcke können direkt an die Energiequelle angeschlossen werden. Ob ein Block direkt an externe Energiequellen angeschlossen werden kann, kann überprüft werden, ob ihr Tooltip einen Eintrag über die Geschwindigkeit der Energieumwandlung enthält.
Für ein größeres Netzwerk mit vielen Computern kann ein [Energiekonverter](../block/powerConverter.md) (konvertiert Energie von unterschiedlichen Mods zum internen Energietyp von OpenComputers), ein [Energieverteiler](../block/powerDistributor.md) (verteilt Energie zu verschiedenen Computern im Netzwerk) und ein [Kondensator](../block/capacitor.md) (ein Energiespeicher) verwendet werden. Über [Kabel](../block/cable.md) werden die Computer miteinander verbunden.
