# Microcontroller Case

![It's so cute.](oredict:oc:microcontrollerCase1)

The Microcontroller case is the base part when building [microcontrollers](../block/microcontroller.md) in the [assembler](../block/assembler.md). [Microcontrollers](../block/microcontroller.md) are very primitive [computers](../general/computer.md). They may only contain a very limited number of components, and are intended to be used in very specific use-cases, such as transforming or reacting to redstone signals, or processing network messages.

They do not have an actual file system. All programming must be done using the [EEPROM](eeprom.md) chip built into them. This chip can be swapped for another one by crafting a [microcontrollers](../block/microcontroller.md) with the chip to insert. The old [EEPROM](eeprom.md) will be returned to your inventory.

While they also require power to run, they consume very little energy.

The tier 1 microcontroller case can accept the following components:
- 1x tier 1 [CPU](cpu1.md)
- 1x tier 1 [RAM](ram1.md)
- 1x [EEPROM](eeprom.md)
- 2x Expansion cards (tier 1)
- 1x Upgrade (tier 2)

The tier 2 microcontroller case can accept the following components:
- 1x tier 1 [CPU](cpu1.md)
- 2x tier 1 [RAM](ram1.md)
- 1x [EEPROM](eeprom.md)
- 1x Expansion card (tier 2)
- 1x Expansion card (tier 1)
- 1x Upgrade (tier 3)

The tier 1 microcontroller case can accept the following components:
- 1x tier 3 [CPU](cpu3.md)
- 2x tier 3 [RAM](ram5.md)
- 1x [EEPROM](eeprom.md)
- 3x Expansion cards (tier 3)
- 9x Upgrades (tier 3)