# Tablet Case

![Doesn't bend.](oredict:oc:tabletCase1)

The tablet case is the base part when building [tablets](tablet.md) in the [assembler](../block/assembler.md). [Tablets](tablet.md) are very compact and portable [computers](../general/computer.md). They can host a small number of select upgrades, but cannot interact with the world like [computer cases](../block/case1.md) can (using simple [network cards](lanCard.md) or [redstone cards](redstoneCard1.md) for example).

Upgrades and cards that cannot be used in [tablets](tablet.md) cannot be placed in the [assembler](../block/assembler.md). If an upgrade can be placed in the [assembler](../block/assembler.md), it will be available for use through the component API. 

They must also remain in a player's inventory to continue running. When dropped or placed into another inventory, they will turn off after a short amount of time.

The tier 1 tablet case can hold the following components:
- 1x [CPU (tier 2)](cpu2.md)
- 2x [RAM (tier 2)](ram3.md)
- 1x [HDD (tier 2)](hdd2.md)
- 2x Expansion cards (tier 2)
- 1x [EEPROM](eeprom.md)
- 1x Upgrade (tier 1)
- 1x Upgrade (tier 2)
- 1x Upgrade (tier 3)

The tier 2 tablet case can hold the following components:
- 1x [CPU (tier 3)](cpu3.md)
- 2x [RAM (tier 2)](ram3.md)
- 1x [HDD (tier 2)](hdd2.md)
- 1x Expansion card (tier 2)
- 1x Expansion card (tier 3)
- 1x [EEPROM](eeprom.md)
- 2x Upgrade (tier 2)
- 1x Upgrade (tier 3)
- 1x [Upgrade](upgradeContainer2.md) or [Card container](cardContainer2.md) (tier 2)

The tier 4 (Creative) tablet case can hold the following components:
- 1x [CPU (tier 3)](cpu3.md)
- 2x [RAM (tier 3)](ram5.md)
- 1x [HDD (tier 3)](hdd3.md)
- 3x Expansion cards (tier 3)
- 1x [EEPROM](eeprom.md)
- 9x Upgrade (tier 3)
- 1x [Upgrade](upgradeContainer3.md) or [Card container](cardContainer3.md) (tier 3)