# Objets

Cet index liste tous les objets documentés d'OpenComputers. Si vous cherchez un bloc, allez plutôt voir l'[index des blocs](../block/index.md).

Gardez en tête que certains d'entre eux ne sont pas disponibles, en fonction de l'ensemble de recettes sélectionné.

## Outils
* [Analyseur](analyzer.md)
* [Manuel](manual.md)
* [Terminal à distance](terminal.md)
* [Ramasseur de texture](texturePicker.md)
* [Crisseur](wrench.md)

## Appareils
* [Drone](drone.md)
* [Serveur](server1.md)
* [Tablette](tablet.md)

## Composants

### Cartes
* [Carte de bus abstraite](abstractBusCard.md)
* [Carte de données](dataCard1.md)
* [Carte de débogueur](debugCard.md) (ou Interface de Carte Aventure)
* [Carte graphique](graphicsCard1.md)
* [Carte internet](internetCard.md)
* [Carte liée](linkedCard.md)
* [Carte réseau](lanCard.md)
* [Carte de Redstone](redstoneCard1.md)
* [Carte de réseau sans-fil](wlanCard1.md)
* [Carte de capteur du monde](worldSensorCard.md)

### Améliorations
* [Amélioration ange](angelUpgrade.md)
* [Amélioration batterie](batteryUpgrade1.md)
* [Conteneur de carte](cardContainer1.md)
* [Amélioration chargement de chunk](chunkloaderUpgrade.md)
* [Amélioration d'artisanat](craftingUpgrade.md)
* [Amélioration de base de données](databaseUpgrade1.md)
* [Amélioration d'expérience](experienceUpgrade.md)
* [Amélioration de générateur](generatorUpgrade.md)
* [Amélioration de vol plané](hoverUpgrade1.md)
* [Amélioration du contrôleur d'inventaire](inventoryControllerUpgrade.md)
* [Amélioration d'inventaire](inventoryUpgrade.md)
* [Amélioration de laisse](leashUpgrade.md)
* [Amélioration de navigation](navigationUpgrade.md)
* [Amélioration de piston](pistonUpgrade.md)
* [Amélioration de panneau d'E/S](signUpgrade.md)
* [Amélioration du générateur solaire](solarGeneratorUpgrade.md)
* [Amélioration du contrôleur de réservoir](tankControllerUpgrade.md)
* [Amélioration de réservoir](tankUpgrade.md)
* [Amélioration du rayon tracteur](tractorBeamUpgrade.md)
* [Amélioration de conteneur](upgradeContainer1.md)

### Autre
* [Unité de Traitement Accélérée (UTA)](apu1.md)
* [Bus des composants](componentBus1.md)
* [Processeur](cpu1.md)
* [EEPROM](eeprom.md)
* [Disquette](floppy.md)
* [Disque dur](hdd1.md)
* [Mémoire (RAM)](ram1.md)

## Fabrication
* [Grog](acid.md)
* [Unité de Logique Arithmétique (ULA)](alu.md)
* [Touches directionnelles](arrowKeys.md)
* [Groupe de boutons](buttonGroup.md)
* [Base de carte](card.md)
* [Plaque de circuit imprimé](circuitBoard.md)
* [Unité de contrôle (UC)](controlUnit.md)
* [Fil de coupe](cuttingWire.md)
* [Disque](disk.md)
* [Interweb](interweb.md)
* [Puce électronique](chip1.md)
* [Pavé numérique](numPad.md)
* [Circuit imprimé](printedCircuitBoard.md)
* [Plaque de circuit imprimé brute](rawCircuitBoard.md)
* [Transistor](transistor.md)

## Assemblage / Impression
* [Chamélium](chamelium.md)
* [Cartouche d'encre](inkCartridge.md)
* [Boitier de drone](droneCase1.md)
* [Boitier de microcontrôleur](microcontrollerCase1.md)
* [Boitier de tablette](tabletCase1.md)

## Autre
* [Bottes de vol plané](hoverBoots.md)
* [Nanomachines](nanomachines.md)
