# Boitier de tablette

![Il ne se plie pas.](oredict:oc:tabletCase1)

Le boitier de tablette est la base de construction des [tablettes](tablet.md), grâce à l'[assembleur](../block/assembler.md). Les [tablettes](tablet.md) sont des [ordinateurs](../general/computer.md) portables très compacts. Elles peuvent accueillir un petit nombre d'améliorations, mais ne peuvent pas interagir avec le monde de la même manière qu'un [boitier d'ordinateur](../block/case1.md) (ce n'est pas aussi simple qu'avec une [carte réseau](lanCard.md) ou une [carte redstone](redstoneCard1.md) par exemple).

Les améliorations et les cartes qui ne peuvent pas être utilisées par les [tablettes](tablet.md) ne peuvent pas être placées dans l'[assembleur](../block/assembler.md). Si une amélioration peut être placée dans l'[assembleur](../block/assembler.md), elle sera disponible par son API de composant.

Elles doivent également rester dans l'inventaire du joueur pour continuer à fonctionner. Si elles sont lâchées par terre ou placées dans un autre inventaire, elles s'éteindront après une courte période de temps.

Le boitier de tablette de niveau 1 peut contenir les composants suivants:
- 1x [processeur (niveau 2)](cpu2.md)
- 2x [barettes de RAM (niveau 2)](ram3.md)
- 1x [disque dur (niveau 2)](hdd2.md)
- 2x cartes d'extension (niveau 2)
- 1x [EEPROM](eeprom.md)
- 1x amélioration (niveau 1)
- 1x amélioration (niveau 2)
- 1x amélioration (niveau 3)

Le boitier de tablette de niveau 2 peut contenir les composants suivants:
- 1x [processeur (niveau 3)](cpu3.md)
- 2x [barettes de RAM (niveau 2)](ram3.md)
- 1x [disque dur (niveau 2)](hdd2.md)
- 1x carte d'extension (niveau 2)
- 1x carte d'extension (niveau 3)
- 1x [EEPROM](eeprom.md)
- 2x améliorations (niveau 2)
- 1x amélioration (niveau 3)
- 1x [amélioration de conteneur](upgradeContainer2.md) ou [conteneur de carte](cardContainer2.md) (niveau 2)

Le boitier de tablette de niveau 4 (Créatif) peut contenir les composants suivants:
- 1x [processeur (niveau 3)](cpu3.md)
- 2x [barettes de RAM (niveau 3)](ram5.md)
- 1x [disque dur (niveau 3)](hdd3.md)
- 3x cartes d'extension (niveau 3)
- 1x [EEPROM](eeprom.md)
- 9x améliorations (niveau 3)
- 1x [amélioration de conteneur](upgradeContainer3.md) ou [conteneur de carte](cardContainer3.md) (niveau 3)