# Компьютеры

Компьютеры собираются из различных [блоков](../block/index.md) и компонентов. Минимальный набор блоков для создания компьютера: [системный блок](../block/case1.md), [монитор](../block/screen1.md) и [клавиатура](../block/keyboard.md). [Системный блок](../block/case1.md) и [монитор](../block/screen1.md) имеют несколько уровней, различающихся функционалом и возможностями, что позволяет создавать сложные компьютерные системы. Для получения возможности печатать на [мониторе](../block/screen1.md) потребуется [клавиатура](../block/keyboard.md), расположенная непостредственно рядом с [монитором](../block/screen1.md) (перед ним, или на одной из сторон [монитора](../block/screen1.md)).

После того, как базовые блоки собраны, требуется вставить компоненты в [системный блок](../block/case1.md): [процессор](../item/cpu1.md), [планки памяти](../item/ram1.md), [жесткие диски](../item/hdd1.md), [видеокарты](../item/graphicsCard1.md) (для вывода изображения на [монитор](../block/screen1.md)), [сетевые карты](../item/lanCard.md) (для связи компьютеров) и т. д. Выбирая только нужные компоненты, вы можете собрать оптимальный компьютер для требуемой задачи.

Системные блоки первого и второго уровней также требуют [дисковод](../block/diskDrive.md) для работы с [дискетами](../item/floppy.md). [Дискета](../item/floppy.md) с [OpenOS](openOS.md) требуется для первого запуска компьютера, чтобы установить операционную систему на [жесткий диск](../item/hdd1.md). После установки системы [дискета](../item/floppy.md) больше не требуются для запуска. Дополнительные программы также доступны на других [дискетах](../item/floppy.md) (например, пакетный менеджер OpenPrograms, или OPPM), которые можно найти в сокровищницах.

Наконец, нужно подключить компьютер к энергии. OpenComputers совместим с самыми популярными техническими модами, что позволяет подключать многие блоки напрямую. Вы можете узнать, что блок может быть подключен ко внешему источнику энергии, если в его всплывающей подсказке есть информация о скорости преобразования энергии.
В больших сетях со множеством компьютеров можно использовать [конвертер энергии](../block/powerConverter.md) (конвертирует энергию других модов в энергию ОС), [распределитель энергии](../block/powerDistributor.md) (распределяет энергию между компьютерами в сети) и [конденсатор энергии](../block/capacitor.md) (энергохранилище) для подключения компьютеров с помощью [кабеля](../block/cable.md).
