# Карта данных

![Вопреки распространенному поверью, не хранит данные.](oredict:oc:dataCard1)

Карта данных предоставляет несколько алгоритмов, которые труднореализуемы или работают медленнее на архитектуре компьютеров, например хэширование и inflate/deflate.

Помните, что есть ограничение на размер данных, которые могут быть обработаны за один вызов методов, а выполнение каждой операции тратит немного энергии.

Карта имеет три уровня:
- **Первый уровень**: поддерживает кодирование и декодирование Base64, CRC32, MD5, SHA256, сжатие и распаковку данных алгоритмом Deflate.
- **Второй уровень**: MD5 и SHA256 могут работать в режиме HMAC, генерация случайных байтов, шифрование и расшифровка AES, а также все алгоритмы карты первого уровня.
- **Третий уровень**: ECDSA и ECDH (генерация ключей, подпись данных, выработка сессионных ключей), а также все алгоритмы карты второго уровня.
