# Assembleur électronique

![Harder, better, faster, stronger.](oredict:oc:assembler)

L'assembleur est une table avancée qui peut être utilisée pour construire des appareils électroniques plus complexes, comme les [robots](robot.md), les [drones](../item/drone.md) et les [tablettes](../item/tablet.md). Il nécessite une grande quantité d'énergie pour assembler des appareils, il est donc recommandé de lui fournir suffisament d'énergie avec un [capaciteur](capacitor.md).

Pour contruire un appareil avec un assembleur, insérez la base de cet appreil. Pour les [robots](robot.md), c'est un [boîtier d'ordinateur](case1.md) de n'importe quel niveau; et pour les [tablettes](../item/tablet.md), un [boîtier de tablette](../item/tabletCase1.md). Comme dans tous les inventaires d'OpenComputers, chaque élément peut être inséré dans un emplacement spécifique; survoler un emplacement surligne les éléments de votre inventaire qui peut aller dans cet emplacement. Si vous avez NEI ouvert, filtré pour afficher les objets d'OpenComputers, les objets compatibles seront surlignés également dans NEI. Continuez à insérer les éléments que vous souhaitez que votre appareil contienne. Prenez un soin particulier à fournir un système d'exploitation, ou un moyen de l'installer plus tard (pour les robots vous pouvez installer un [lecteur de disque](diskDrive.md) pour insérer et éjecter des [disquettes](../item/floppy.md) plus tard, par exemple). Pour la plupart des appareils, leur [EEPROM](../item/eeprom.md) peut être changée plus tard, en les fabriquant eux-même avec une autre [EEPROM](../item/eeprom.md) pour l'insérer. L'[EEPROM](../item/eeprom.md) existante de l'appareil sera renvoyée dans votre inventaire.

Remarquez également que pour que les [robots](robot.md) aient un [écran](screen1.md), vous devrez leur installer un [écran (tier 1)](screen1.md), et pour permettre de saisir sur l'[écran](screen1.md), vous devrez installer un [clavier](keyboard.md). Pour les [tablettes](../item/tablet.md), l'[écran](screen1.md) est pré-installé dans le [boîtier de tablette](../item/tabletCase1.md), mais vous aurez besoin besoin d'installer un [clavier](keyboard.md) si vous voulez écrire sur la [tablette](../item/tablet.md).

Une fois que tout est en place, appuyez sur le bouton Démarrer et attendez que l'appareil soit assemblé et chargé. Il est important de se rappeler que vous *ne pouvez pas* modifier l'appareil une fois qu'il a été assemblé. Si vous avez oublié quelque chose ou fait une erreur, vous devrez désassembler l'appareil en utilisant le [désassembleur](disassembler.md), ce qui a une faible chance de casser des éléments dans le processus.

Une dernière note sur la complexité : le niveau d'un objet détermine la complexité qu'il nécessite, sachant que les objets de niveau 1 nécessitent 1 de complexité, ceux de niveau 2 ont besoin de 2 et ceux de niveau 3 ont besoin de 3. Les améliorations de conteneur sont l'exception, car leur complexité est deux fois le niveau du conteneur (ex: une [amélioration de conteneur](../item/upgradeContainer1.md) de niveau 2 nécessite 4 de complexité, et de même pour les [conteneurs de carte](../item/cardContainer1.md)).
